Contents

# QBColor Function

Returns the RGB color code of the color passed as a color value through an older MS-DOS based programming system.

### Syntax:

QBColor (ColorNumber As Integer)

### Return type:

Long

### Parameters:

ColorNumber: Any integer expression that specifies the color value of the color passed from an older MS-DOS based programming system.

ColorNumber can be assigned the following values:

0 : Black

1 : Blue

2 : Green

3 : Cyan

4 : Red

5 : Magenta

6 : Yellow

7 : White

8 : Gray

9 : Light Blue

10 : Light Green

11 : Light Cyan

12 : Light Red

13 : Light Magenta

14 : Light Yellow

15 : Bright White

This function is used only to convert from older MS-DOS based BASIC applications that use the above color codes. The function returns a long integer value indicating the color to be used in the LibreOfficeDev IDE.

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleQBColor
    Dim iColor As Integer
    Dim sText As String
        iColor = 7
        sText = "RGB= " & Red(QBColor( iColor) ) & ":" & Blue(QBColor( iColor) ) & ":" & Green(QBColor( iColor) )
        MsgBox stext,0,"Color " & iColor
    End Sub

Please support us!